<?
session_start();  
if($v==1){
include("stilos/config.inc.php");
  include("../clases/BDConexion.php");
  include("../clases/clsPer.php");
  include("funcion/funciones.php");
  include("Funciones.php");

  $objPer=new clsPer; 
  function getTiempo() { 
        list($usec, $sec) = explode(" ",microtime()); 
        return ((float)$usec + (float)$sec); 
  } 
$TiempoInicial = getTiempo();  
  }

?>
<table width="834" border="0">
<?

$mesess='10';
$anioss='2009';
$fecha1="01-10-2009";
$fecha2="31-10-2009";
$days1='01';
$days='31';


/* $rstrans=$objPer->TransT($matricula,$ccosto,extraerfechamysql($fecha1),extraerfechamysql($fecha2));
while ($rowtrans=$objPer->NextRow($rstrans)){ */

?>
  <tr>  
    <td><div align="left"><?=$rowtrans['model_trans']." / ".$rowtrans['mat_trans']?></div></td>
  </tr>
  <tr>
    <td><div align="left">Redondeo Prox: <? if($redondeo==''){echo "0.00";}elseif($redondeo!=''){echo $redondeo;}?></div></td>
  </tr>
  <tr>
    <td><div align="left">AOG: <?=$rowti['dia_aog'];?></div></td>
  </tr>
  
  <tr>
    <td><div align="left">
      <table width="552" border="1" cellpadding="0" cellspacing="0" style="<?=$stylo['tabla']?>" bgcolor="<?=$c_fondo['fondo tabla']?>" bordercolor="<?=$bordetabla?>">
        <tr class="lblCampoBlanco" bgcolor="<?=$c_fondo_tr["fondo tr"]?>">
          <? //?>
          <td width="186"><div align="center">Centros de costos </div></td>
          <? for($j=$days1;$j<=$days;$j++){?>
          <td width="68"><div align="center">
            <?=$j?>
          </div></td>
          <? }?>
          <td width="49"><div align="center">Horas por Centro de Costo </div></td>
          <td width="68"><div align="center"></div></td>
          <td width="54"><div align="center">calculo del % </div></td>
          <td width="31"><div align="center">%</div></td>
          <td width="80"><div align="center">
              <div align="center"></div>
          </div></td>
        </tr>
        <?
				//1. generar llave de cache para el reporte en funcion de los combos
				//2. buscar si existe el reporte del cache en funcion de la llave 
				//3. si existe actualizar la estructura de los datos y pasar a la presentacion
				//4. si no existe hacer calculos y generar la estructura de datos
				$n=0;
				$totalhoracol1=0;
				$pertotal=0;
				$cartotal=0;				
				$rscd=$objPer->manpercardiasTransCC('ob-1913 PP','0',extraerfechamysql($fecha1),extraerfechamysql($fecha2));
				$totalfilas=$objPer->totalrows($rscd);
				while($rowcd=$objPer->NextRow($rscd)){
				$n++;
				$tothorascc1=0;
				$sumap=0;
				$perpar=0;
				$carpar=0;
				$sumahorav=0;
				$sumahorav1=0;
				
				?>
        <tr class="lblCampo">
          <td><div align="left">
              <?=$rowcd['ccosto']?>
          </div></td>
          <? 
		  
		  for($i=$days1;$i<=$days;$i++){
		  
		  ?>
          <td><div align="center">
            <?				
				  //echo $n++;
				  $rshd=$objPer->getHorasxDiaRutaCod('ob-1913 PP',$anioss."-".$mesess."-".$i);
				  while($rowhd=$objPer->NextRow($rshd)){
				  echo $rowhd['horastec']*60;		  
				  }$objPer->Liberar($rshd);
				  /* if($rowcd['ccosto']){
				  $tt1=0;	
				  $rshd=$objPer->getHorasxDiaRutaCod($rowtrans['mat_trans'],$anioss."-".$mesess."-".$i);
				  while($rowhd=$objPer->NextRow($rshd)){
				  
						  $rspcdc=$objPer->manpercarpesodisccRutaCod($rowtrans['mat_trans'],$rowcd['ccosto'],$anioss."-".$mesess."-".$i,$rowhd['cod_ruta']);
						  $rowpcdc=$objPer->NextRow($rspcdc);
						  
						  $rspcdt=$objPer->manpercarpesodishRutaCod($rowtrans['mat_trans'],$anioss."-".$mesess."-".$i,$rowhd['cod_ruta']);
						  $rowpcdt=$objPer->NextRow($rspcdt);
						  
						  $rstv=$objPer->manpercarHrsTecVol($rowtrans['mat_trans'],extraerfechamysql($fecha1),extraerfechamysql($fecha2));
						  $rowtv=$objPer->NextRow($rstv);			  		  	  
				  
						 if(($rowpcdt['dispesototal']!='') || ($rowpcdt['dispesototal']!=0) || ($rowpcdt['dispesototal']!=NULL)){
								if($rowpcdt['dispesototal']!=0){$dispercar=$rowpcdc['dispercar']; $dispesototal=$rowpcdt['dispesototal'];}else{$dispercar=1; $dispesototal=1;}  
								if($rowtipohora['tipohora']=='T'){ $tipoh=$rowhd['horastec'];$tipohora=$rowtv['horatec'];}else{$tipoh=$rowhd['horasvol']; $tipohora=$rowtv['horavol'];}
									  if($rowcd['ccosto']==$rowpcdc['ccosto']){
									
									  $t=(($dispercar/$dispesototal)*$tipoh*60)."<br>";
									  $tt1+=(($dispercar/$dispesototal)*$tipoh*60)."<br>";
									  $sumap+=$dispercar;
									  
									  $tipohorasc=$tipohora;
									  $tothorascc1+=$t;				  
									  $dishpar[]=array($rowcd['ccosto'],$i,round($t));	
									  $horasdia[]=array($rowtrans['mat_trans'],$rowcd['ccosto'],$i,$t);			  	
									  //5. guardar la estructura de datos indexada por la llave en el cache y colocar tiempo de expiracion de datos  
									  }
							 
						 }else{
						 echo "&nbsp;";
						 }
					 }//$objPer->Liberar($rowhd);
					 
					 //echo round(round($tt1,2));
					 		  $divisora=60;
							  $minutosa=60;
							  
							  
							  $timeh=round($tt1,5);
							  $timeho=round($timeh/60,3);
							  $sumahorav+=round($timeh/60,3);
							  $sumahorav1+=round($timeh/60,4);
							  if($timeho>0){echo $timeho;}else{echo "&nbsp;";}
							  
							  $tminutosa=round($minutosa*$timeho);    
							  $cocientea=floor($tminutosa/$divisora);
							  
							  $restoa=$tminutosa%$divisora;
							  if($restoa<10){
								if($cocientea.":0".$restoa!='0:00'){
									$cocientea.":0".$restoa;
								}
							  }else{
								if($cocientea.":0".$restoa!='0:00'){
									$cocientea.":".$restoa;
								}
							  }   
					 }
					  */
				  ?>
          </div></td>
          <? }
		  ?>
          <td><div align="center">
              <?
				  /* if($rowcd['ccosto']){
				  $hcc=round($tothorascc1)/60;
				  ($tothorascc1/60)."<br>";
				  $tipohorasc."<br>";
				  $timehpar=round(round($tothorascc1,3));
				  
				  echo $sumahorav;
				  
				  $porcentajepp=round($tothorascc1,2)/60;
				  $totalhoracol=round($tothorascc1,1);
				  
				   $porcentajepar=$porcentajepp;				  
				  
				  	  $div=60;
					  $min=60;
					  
					  $tmin=round($min*$timehopar);    
					  $coci=floor($tmin/$div);
					  
					  $rest=$tmin%$div;
						  if($rest<10){
							if($coci.":0".$rest!='0:00'){
								$coci.":0".$rest;
							}
						  }else{
							if($coci.":0".$rest!='0:00'){
								$coci.":".$rest;
							}
						  }
				  $totalhoracole=$tothorascc1;
				  $totalhoracol1+=$totalhoracol;
				  $dish[]=array($rowcd['ccosto'],$hcc);
				  } */
				  ?>
          </div></td>
          <td><div align="center"></div></td>
          <td><div align="center"></div></td>
          <td><div align="center"></div></td>
          <td><div align="center"></div></td>
        </tr>
        <? }$objPer->Liberar($rscd);?>
        <tr class="lblCampoBlanco" bgcolor="<?=$c_fondo_tr["fondo tr"]?>">
          <td>TOTALES</td>
          <? 
		  
		  for($z=$days1;$z<=$days;$z++){
		  
		  ?>
          <td><div align="center">
            <?
		    			
			/* $sumahourdia=0;
			foreach($horasdia as $indicehd=>$valuehd)
			{
				if($rowtrans['mat_trans']==$valuehd[0] && $z==$valuehd[2]){					
					$sumahourdia+=$valuehd[3];			
				}
			} 
				  
				  
				if($sumahourdia!=''){
					if($sumahourdia!=0){
				  	
							  $divisorat=60;
							  $minutosat=60;
							  
							  $timeht=round(round($sumahourdia,1));
							  $timehot=round($timeht/60,2);
							  
							  $tminutosat=round($minutosat*$timehot);    
							  $cocienteat=floor($tminutosat/$divisorat);
							  
							  $restoat=$tminutosat%$divisorat;
							  if($restoat<10){
								if($cocienteat.":0".$restoat!='0:00'){
									echo $cocienteat.":0".$restoat;
								}
							  }else{
								if($cocienteat.":0".$restoat!='0:00'){
									echo $cocienteat.":".$restoat;
								}
							  }   
				  	$horaresumen[]=array($rowtrans['mat_trans'],$sumahourdia);
					$sumahourpt+=$sumahourp;
					}else{echo "&nbsp;";}
				}else{
					echo "&nbsp;";
				} */
				  ?>
          </div></td>
          <? }?>
          <td><div align="center">
              <?
				 // echo calcular_horas_formato_inversa(round($totalhoracol1)/60);
				  ?>
              /<?
			  /* $cadena = explode(".",round(round($totalhoracol1)/60,4));
			  echo $cadena[0].".".substr($cadena[1],0,3); */
			  ?>
          </div></td>
          <td><div align="center"></div></td>
          <td><div align="center"></div></td>
          <td><div align="center"></div></td>
          <td><div align="center"></div></td>
        </tr>
      </table>
    </div></td>
  </tr>
  <? //} $objPer->Liberar($rstrans);?>
  <tr class="lblCampo">
    <td><div align="left">
	
</div></td>
  </tr>
  <tr>
    <td><div align="center">
	
</div></td>
  </tr>
</table>
<?
if($v==1){
$TiempoFinal = getTiempo(); 
$Tiempo = $TiempoFinal - $TiempoInicial; 
$Tiempo = round($Tiempo,6); 
echo "Esta pagina ha cargado en $Tiempo segundos.";  
}
//var_dump($dispax)."<br>";
//count($dispax);
?>